import 'package:flutter/material.dart';
import 'package:habo/constants.dart';

class HaboTheme {
  static ThemeData lightTheme() {
    return ThemeData(
      brightness: Brightness.light,
      primarySwatch: Colors.green,
      colorScheme: ColorScheme.fromSeed(
        seedColor: HaboColors.primary,
        brightness: Brightness.light,
      ),
      scaffoldBackgroundColor: HaboColors.lightBg,
      useMaterial3: true,
    );
  }

  static ThemeData darkTheme() {
    return ThemeData(
      brightness: Brightness.dark,
      primarySwatch: Colors.green,
      colorScheme: ColorScheme.fromSeed(
        seedColor: HaboColors.primary,
        brightness: Brightness.dark,
      ),
      scaffoldBackgroundColor: HaboColors.darkBg,
      useMaterial3: true,
    );
  }

  static ThemeData oledTheme() {
    return ThemeData(
      brightness: Brightness.dark,
      primarySwatch: Colors.green,
      colorScheme: ColorScheme.fromSeed(
        seedColor: HaboColors.primary,
        brightness: Brightness.dark,
      ),
      scaffoldBackgroundColor: Colors.black,
      useMaterial3: true,
    );
  }
}
